Get product checkout information¶
Returns information that is important to the checkout of a product. This can be important information that should be shown to the customer before or after purchasing the tickets (like specific regulations or identification requirements). It also indicates if the product has timeslots that should be selected by following the subsequent steps.
Some of the product information on tiqets.com is available on this endpoint. The Product Information Mapping section provided the information mapping of this endpoint to the product page of tiqets.com.
GET /products/{productId}/checkout_information¶
Product checkout information
{"openapi":"3.1.0","info":{"title":"Tiqets Distributor API","version":"2.4.1"},"tags":[{"name":"Content API"}],"servers":[{"url":"https://api-tiqt-test.steq.it/v2","description":"Test Environment"},{"url":"https://api.tiqets.com/v2","description":"Production Environment"}],"paths":{"/products/{productId}/checkout_information":{"get":{"summary":"Product checkout information","tags":["Content API"],"parameters":[{"name":"productId","in":"path","description":"The ID of product","required":true,"schema":{"type":"integer"}},{"$ref":"#/components/parameters/Language"},{"$ref":"#/components/parameters/Authorization"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"has_timeslots":{"type":"boolean","description":"Indicates whether the product has timeslots."},"has_dynamic_pricing":{"type":"boolean","deprecated":true,"description":"Indicates whether the product has dynamic pricing."},"additional_information":{"type":"object","description":"Additional information regarding the product.","properties":{"must_know":{"type":["string","null"],"description":"Important information. Mandatory to be displayed in the checkout before buying tickets. Will be displayed on the voucher."},"good_to_know":{"type":["string","null"],"description":"Additional information. Mandatory to be displayed in the checkout before buying tickets."},"pre_purchase":{"type":["string","null"],"description":"Pre-purchase information. Mandatory to be displayed in the checkout before buying tickets."},"post_purchase":{"type":["string","null"],"description":"Post-purchase information."},"usage":{"type":["string","null"],"description":"Instructions of how to use the tickets. Will be displayed on the voucher."},"included":{"type":["string","null"],"description":"Description of what is included in the ticket."},"excluded":{"type":["string","null"],"description":"Description of what is explicitly not included in the ticket."}}},"customer_data_required_on_create_order":{"type":"boolean","deprecated":true,"description":"This element can be ignored and is only returned for compatibility with legacy integrations. Always `true`."}}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"405":{"$ref":"#/components/responses/MethodNotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalServerError"},"501":{"description":"Not Implemented"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}}},"components":{"parameters":{"Language":{"name":"lang","in":"query","description":"Language of the content to retrieve (ISO 639-1). Defaults to English if undefined.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"en"}},"Authorization":{"name":"Authorization","in":"header","required":true,"description":"Token <Your_API_Key>.","schema":{"type":"string","default":"Token <Partner_API_key>."}}},"responses":{"BadRequest":{"description":"Bad Request -- Check your request parameters (typo in parameter or invalid value).","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"},"field_errors":{"type":"object"}}}}}},"Unauthorized":{"description":"Unauthorized -- Your API key is incorrect.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"Forbidden":{"description":"Forbidden -- The endpoint or parameters are not allowed for the matching API key.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"NotFound":{"description":"Not Found -- Requested resource/endpoint could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"MethodNotAllowed":{"description":"Method Not Allowed -- Check your request method.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"TooManyRequests":{"description":"Too Many Requests -- We currently apply a fair-use policy, but we might enforce limits in the future.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"InternalServerError":{"description":"Internal Server Error -- We had a problem with our server. Try again later.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"ServiceUnavailable":{"description":"Service Unavailable -- We're temporarily offline for maintenance. Please try again later.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}}}}}